Change log for djvulibre package in Ubuntu

153 of 53 results
Published in eoan-release on 2019-08-10
Deleted in eoan-proposed (Reason: moved to release)
djvulibre (3.5.27.1-12) unstable; urgency=medium

  * track upstream bug fixes and such
  * bump policy

 -- Barak A. Pearlmutter <email address hidden>  Sat, 10 Aug 2019 13:48:53 +0200

Available diffs

Superseded in eoan-release on 2019-08-10
Deleted in eoan-proposed on 2019-08-12 (Reason: moved to release)
djvulibre (3.5.27.1-11) unstable; urgency=medium

  * track upstream bug fixes
  * bump policy and debhelper versions
  * declare djvulibre-bin multi-arch_foreign (closes: #930064)

 -- Barak A. Pearlmutter <email address hidden>  Thu, 06 Jun 2019 13:54:10 +0100

Available diffs

Superseded in eoan-release on 2019-06-06
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
djvulibre (3.5.27.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * track upstream updates
  * bump policy, no changes required

 -- Barak A. Pearlmutter <email address hidden>  Fri, 02 Nov 2018 14:51:55 +0000

Available diffs

Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-05
Deleted in cosmic-proposed (Reason: moved to release)
djvulibre (3.5.27.1-9) unstable; urgency=medium

  * bump to debhelper 11
  * bump policy, no changes required
  * stop including mimetype xml file in desktop package, and rename icons.
    For details see https://sourceforge.net/p/djvu/bugs/283/
  * adjust to upstream renaming of documentation

 -- Barak A. Pearlmutter <email address hidden>  Mon, 30 Apr 2018 17:13:35 +0100

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-11-09
Deleted in bionic-proposed (Reason: moved to release)
djvulibre (3.5.27.1-8) unstable; urgency=medium

  * track upstream updates
  * bump policy, no changes required
  * use dh10 defaults in debian/rules
  * remove now-autogenerated debian/control -dbg stanza
  * secure repo url

 -- Barak A. Pearlmutter <email address hidden>  Mon, 09 Oct 2017 13:59:39 +0100

Available diffs

Superseded in bionic-release on 2017-11-09
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
djvulibre (3.5.27.1-7) unstable; urgency=medium

  * bump to debhelper 10
  * update any2djvu server URL in any2djvu script (closes: #843009)

 -- Barak A. Pearlmutter <email address hidden>  Thu, 03 Nov 2016 11:03:32 +0000

Available diffs

Superseded in zesty-release on 2016-11-05
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
djvulibre (3.5.27.1-6) unstable; urgency=medium

  * track upstream fixes and updates, including to djvudigital
  * bump standards version
  * enable hardening

 -- Barak A. Pearlmutter <email address hidden>  Wed, 17 Aug 2016 22:35:47 +0200

Available diffs

Superseded in yakkety-release on 2016-08-22
Published in xenial-release on 2015-11-25
Deleted in xenial-proposed (Reason: moved to release)
djvulibre (3.5.27.1-5) unstable; urgency=medium

  * guard find command in debian/rules (closes: 806017)
  * merge upstream update which works around qt5 issue (closes: 804888)

 -- Barak A. Pearlmutter <email address hidden>  Tue, 24 Nov 2015 15:58:16 +0000

Available diffs

Superseded in xenial-release on 2015-11-25
Deleted in xenial-proposed on 2015-11-26 (Reason: moved to release)
djvulibre (3.5.27.1-4) unstable; urgency=medium

  * merge minor upstream maintenance updates

 -- Barak A. Pearlmutter <email address hidden>  Wed, 28 Oct 2015 14:16:13 +0000

Available diffs

Superseded in xenial-release on 2015-10-29
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
djvulibre (3.5.27.1-3) unstable; urgency=medium

  * use mktemp in shell script if available (closes: #775193)

 -- Barak A. Pearlmutter <email address hidden>  Sun, 16 Aug 2015 14:03:10 +0200

Available diffs

Superseded in wily-release on 2015-08-16
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
djvulibre (3.5.27.1-2) unstable; urgency=medium

  * merge upstream fix for string issue (closes: #784785)
  * merge upstream signed/unsigned fix (closes: #784919)
  * use gzip -n option for reproducible build (closes: #790371)

 -- Barak A. Pearlmutter <email address hidden>  Tue, 30 Jun 2015 09:18:13 +0300

Available diffs

Superseded in wily-release on 2015-07-02
Deleted in wily-proposed on 2015-07-03 (Reason: moved to release)
djvulibre (3.5.27.1-1) unstable; urgency=medium

  * freeze is over, can target to unstable once more
  * new upstream release
    - has max image size check (closes: #781255)
  * merge minor upstream patch to djvumake
  * use mktemp in djvudigital (closes: #775193)

 -- Barak A. Pearlmutter <email address hidden>  Tue, 05 May 2015 09:24:00 +0100

Available diffs

Superseded in wily-release on 2015-05-06
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
djvulibre (3.5.25.4-4) unstable; urgency=medium


  * merge upstream patches
   - f794f2d meta-data --> metadata.
   - 6262fcc Update config/libtool.m4 to support ppc64le.
   - 9e32594 Regenerate autotools files with new config/libtool.m4
   - 4e62915 Fix to djvutoxml by "Imperatore" (bug 227)
   - 93a13dd csepdjvu handles utf16 outlines

 -- Barak A. Pearlmutter <email address hidden>  Thu, 20 Mar 2014 14:23:32 +0000

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2014-01-23
Deleted in trusty-proposed (Reason: moved to release)
djvulibre (3.5.25.4-3) unstable; urgency=low


  * remove build alts libtiff{5,4,3}-dev (closes: #735997)
  * bump standards version

 -- Barak A. Pearlmutter <email address hidden>  Tue, 21 Jan 2014 15:27:16 +0000

Available diffs

Published in precise-updates on 2013-12-16
Published in precise-security on 2013-12-16
djvulibre (3.5.24-9ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    crafted DjVu file
    - debian/patches/CVE-2012-6535.patch: improve logic in
      libdjvu/GString.cpp.
    - CVE-2012-6535
 -- Marc Deslauriers <email address hidden>   Mon, 09 Dec 2013 09:31:59 -0500
Superseded in trusty-release on 2014-01-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
djvulibre (3.5.25.4-2) unstable; urgency=low


  * merge upstream patches, including autotools refresh(closes: #722525)

 -- Barak A. Pearlmutter <email address hidden>  Thu, 12 Sep 2013 09:40:49 +0100
Superseded in saucy-release on 2013-09-16
Deleted in saucy-proposed on 2013-09-17 (Reason: moved to release)
djvulibre (3.5.25.4-1ubuntu1) saucy; urgency=low

  * Update config.{sub,guess} to fix FTBFS on arm64 (LP: #1224195)
 -- dann frazier <email address hidden>   Wed, 11 Sep 2013 17:42:21 -0600
Superseded in saucy-release on 2013-09-12
Deleted in saucy-proposed on 2013-09-13 (Reason: moved to release)
djvulibre (3.5.25.4-1) unstable; urgency=low


  * new upstream release
  * merge upstream changes for crash report, see
    http://lists.debian.org/debian-devel/2013/06/msg00720.html
    http://www.forallsecure.com/bug-reports/df37d30856756929f929ec8e508af1a574109c0d/
  * flush dh-exec overkill
  * enable full multiarch support
  * bump standard version
  * canonicalize development repo urls

 -- Barak A. Pearlmutter <email address hidden>  Thu, 27 Jun 2013 16:23:00 +0100

Available diffs

Superseded in saucy-release on 2013-06-28
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
djvulibre (3.5.25.3-3) unstable; urgency=low


  * multiarch fix via dh-exec lossage
  * merge upstream fixes

 -- Barak A. Pearlmutter <email address hidden>  Mon, 12 Nov 2012 11:06:39 +0000

Available diffs

Superseded in raring-release on 2012-11-13
Deleted in raring-proposed on 2012-11-20 (Reason: moved to release)
djvulibre (3.5.25.3-2) unstable; urgency=low


  * remove more X11-related build dependencies
  * prefer libtiff5-dev (closes: #681914)

 -- Barak A. Pearlmutter <email address hidden>  Tue, 17 Jul 2012 23:23:27 +0200
Superseded in raring-release on 2012-11-06
Obsolete in quantal-release on 2015-04-24
djvulibre (3.5.25.3-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Prefer libtiff5-dev to libtiff4-dev
 -- Michael Terry <email address hidden>   Tue, 17 Jul 2012 13:51:45 -0400
Superseded in quantal-release on 2012-07-17
djvulibre (3.5.25.3-1) unstable; urgency=low


  * new upstream release
  * remove X11-related build dependencies
  * keep debugging symbols

 -- Barak A. Pearlmutter <email address hidden>  Sun, 17 Jun 2012 20:37:22 +0100

Available diffs

Superseded in quantal-release on 2012-06-18
djvulibre (3.5.25.2-4) unstable; urgency=low


  * generalize pre-dependency
  * remove unused override from debian/rules (closes: #664292)
  * lower djvudigital default resolution from 600 to 300 dpi (closes: #507539)

 -- Barak A. Pearlmutter <email address hidden>  Sun, 08 Apr 2012 23:45:27 +0100

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-17
djvulibre (3.5.24-9) unstable; urgency=low

  * single debian patch source option (closes: #643094)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 09:14:08 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
djvulibre (3.5.24-8) unstable; urgency=low

  * ddjvu_anno_get_xmp consistent prototype vs implementation (closes: #613547)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  23 Jun 2011 10:33:50 +0000

Available diffs

Superseded in oneiric-release on 2011-06-23
djvulibre (3.5.24-7) unstable; urgency=low

  * upstream fix to page extraction bug (closes: #629941)

Available diffs

Superseded in oneiric-release on 2011-06-22
Obsolete in natty-release on 2013-06-04
djvulibre (3.5.23-3ubuntu2) natty; urgency=low

  * debian/rules: empty dependency_libs from shipped .la files, per
    Policy 10.2.
 -- Kees Cook <email address hidden>   Thu, 24 Mar 2011 14:53:49 -0700
Superseded in natty-release on 2011-03-24
djvulibre (3.5.23-3ubuntu1) natty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Fix thumb2 porting issues; we suspect that the mov found during code
      review is not an active code path; adding compile time error
      #ifdef __thumb__ to ensure that its really not used in Ubuntu;
      Thanks for Dave Martin for this patch (LP: #513725)

Available diffs

Obsolete in lucid-updates on 2016-10-26
Deleted in lucid-proposed on 2016-11-01 (Reason: moved to -updates)
djvulibre (3.5.22-1ubuntu4.1) lucid-proposed; urgency=low

  [ Andrei Rohau ]
  * hardwire globbing in install files. LP: #462193
 -- Javier Perez Lopez <chilicuil@i.am>   Sat, 14 Aug 2010 16:44:03 +0200
Superseded in natty-release on 2010-11-17
Obsolete in maverick-release on 2013-03-05
djvulibre (3.5.22-9ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #462193), remaining change:
    + Fix thumb2 porting issues; we suspect that the mov found during code
      review is not an active code path; adding compile time error
      #ifdef __thumb__ to ensure that its really not used in Ubuntu;
      Thanks for Dave Martin for this patch (LP: #513725)
  * Use autotools-dev to update config.* files to unclutter debdiffs.
  * Change recommendation from mozilla-firefox to firefox (LP: #337508).

Superseded in maverick-release on 2010-08-14
Obsolete in lucid-release on 2016-10-26
djvulibre (3.5.22-1ubuntu4) lucid; urgency=low

  * libdjvu/GThreads.cpp:
    + fix LP: #513725 - thumb2 porting issues; we suspect that the mov
      found during code review is not an active code path; adding compile
      time error #ifdef __thumb__ to ensure that its really not used in
      ubuntu; Thanks for Dave Martin for this patch
 -- Alexander Sack <email address hidden>   Thu, 11 Feb 2010 15:34:18 +0100

Available diffs

Superseded in lucid-release on 2010-02-11
djvulibre (3.5.22-1ubuntu3) lucid; urgency=low

  * libdjvu/GThreads.cpp:
    + fix LP: #513725 - thumb2 porting issues; we suspect that the mov
      found during code review is not an active code path; adding compile
      time error #ifdef __thumb__ to ensure that its really not used in
      ubuntu; Thanks for Dave Martin for this patch
 -- Alexander Sack <email address hidden>   Thu, 11 Feb 2010 15:34:18 +0100
Superseded in lucid-release on 2010-02-11
Obsolete in karmic-release on 2013-03-04
djvulibre (3.5.22-1ubuntu2) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loic Minier <email address hidden>   Wed, 21 Oct 2009 14:40:48 +0200

Available diffs

Superseded in karmic-release on 2009-10-22
djvulibre (3.5.22-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - On arm-linux-gnueabi link the shared libraray with -lsupc++ -lgcc.
      GCC in jaunty provides built-in functions for atomic memory access.

Superseded in karmic-release on 2009-06-25
Obsolete in jaunty-release on 2013-02-28
djvulibre (3.5.21-3ubuntu1) jaunty; urgency=low

  * On arm-linux-gnueabi link the shared libraray with -lsupc++ -lgcc.
    GCC in jaunty provides built-in functions for atomic memory access.

 -- Matthias Klose <email address hidden>   Mon, 22 Dec 2008 13:13:27 +0100

Available diffs

Superseded in jaunty-release on 2008-12-22
djvulibre (3.5.21-3) unstable; urgency=low

  * Upstream browser plugin fix to gui/nsdejavu/nsdejavu.c (closes: #504340)
  * Upstream fix for djvups -text=yes non-ASCII crash (closes: #469122)
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  15 Dec 2008 10:20:05 +0000

Available diffs

Superseded in jaunty-release on 2008-12-15
djvulibre (3.5.21-2) unstable; urgency=low

  * Remove bashism ...{.,*}... from debian/rules (closes: #505644)
  * Put djvulibre-dbg in section libdevel (closes: #498456)
  * Formatting patch for c44.1 from Ubuntu (closes: #505643)
  * Don't integrate 3.5.20-8+lenny0 (do no reopen #495979, #507503)

 -- Steve Langasek <email address hidden>   Fri,  05 Dec 2008 08:40:49 +0000

Available diffs

Superseded in jaunty-release on 2008-12-05
djvulibre (3.5.21-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - tools/c44.1: applied patch from Ralph Corderoy to fix the manpage
      markup.
  * Dropped changes:
    - don't suggest djvulibre-desktop, as Debian has dropped the recommends
    - no need to remove djview maintainer scripts via debian/rules,
      since they're no longer shipped in the upstream tarball
  * debian/rules: don't use {,} patterns in globbing, otherwise the
    package fails to build with /bin/sh=dash.

Available diffs

Superseded in jaunty-release on 2008-11-14
Obsolete in intrepid-release on 2013-02-20
djvulibre (3.5.20-7ubuntu3) intrepid; urgency=low

  * Make djview a true transition package: remove the maintainer scripts
    shipped in the upstream tarball that try to call update-alternatives
    for files not guaranteed to exist.  LP: #277301.

 -- Steve Langasek <email address hidden>   Sat, 18 Oct 2008 17:19:10 -0700

Available diffs

Superseded in intrepid-release on 2008-10-19
djvulibre (3.5.20-7ubuntu2) intrepid; urgency=low

  * tools/c44.1: applied patch from Ralph Corderoy to fix the manpage
    markup. (LP: #255695)

 -- Kurt Litsch <email address hidden>   Wed, 03 Sep 2008 04:02:10 -0500
Superseded in intrepid-release on 2008-09-09
djvulibre (3.5.20-7ubuntu1) intrepid; urgency=low

  * libdjvulibre21 suggests djvulibre-desktop not recommends

 -- Jonathan Riddell <email address hidden>   Fri, 18 Jul 2008 11:47:57 +0100

Available diffs

Superseded in intrepid-release on 2008-07-18
djvulibre (3.5.20-7) unstable; urgency=low

  * Generate djview transition package (closes: #473341)
  * Postscript generation issue (four-color image into cpaldjvu into
    djvups without -mode=bw) seems to be resolved (closes: #278945)
  * Remove djvudigital from djvulibre-bin (closes: #461226)
  * Rewrite desktop package description (closes: #474689, #474700)

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
djvulibre (3.5.20-2) unstable; urgency=low

  * Fix innocuous double-build cleaning issue (closes: #424180, #442552)

Superseded in hardy-release on 2007-12-07
djvulibre (3.5.19-3ubuntu1) hardy; urgency=low

  * Sync with Debian
   * debian/control:
     - updated maintainer information
   * debian/rules:
     - call dh_icons to update the icon cache at installation

 -- Sebastien Bacher <email address hidden>   Tue, 20 Nov 2007 15:19:50 +0100
Superseded in hardy-release on 2007-11-20
Obsolete in gutsy-release on 2011-09-16
djvulibre (3.5.19-2ubuntu1) gutsy; urgency=low

  * debian/control: Maintainer: Ubuntu Core Developers
    <email address hidden>.
  * debian/rules: call dh_iconcache.

Superseded in gutsy-release on 2007-05-18
Obsolete in feisty-release on 2009-08-20
djvulibre (3.5.17-3ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Mon,  5 Mar 2007 01:15:03 +0000
Superseded in feisty-release on 2007-03-05
djvulibre (3.5.17-3ubuntu1) feisty; urgency=low

  * Sync with Debian
  * debian/rules:
    - call dh_iconcache

 -- Sebastien Bacher <email address hidden>   Wed, 22 Nov 2006 13:59:45 +0100
Superseded in feisty-release on 2006-11-24
Obsolete in edgy-release on 2008-06-19
djvulibre (3.5.17-1ubuntu1) edgy; urgency=low

  * Sync with Debian
  * debian/rules:
    - use dh_iconcache.

 -- Sebastien Bacher <email address hidden>   Mon,  3 Jul 2006 11:38:23 +0200
Superseded in edgy-release on 2006-07-03
Obsolete in dapper-release on 2011-09-06
djvulibre (3.5.16-1ubuntu2) dapper; urgency=low

  * debian/rules:
    - use dh_iconcache.

 -- Daniel Holbach <email address hidden>   Thu, 18 May 2006 13:13:01 +0200
Superseded in dapper-release on 2006-05-18
Superseded in dapper-release on 2006-02-03
djvulibre (3.5.16-1ubuntu1) dapper; urgency=low


  * debian/control:
    - fix the -dev package to Depends on the lib itself and libjpeg62-dev

 -- Sebastien Bacher <email address hidden>  Sat, 17 Dec 2005 16:36:59 +0100
Obsolete in breezy-release on 2008-03-25
djvulibre (3.5.15-1ubuntu2) breezy; urgency=low


  * debian/control:
    - change the Conflict/Replaces on libdjvulibre1 to a less-than-or-equal
      version, rather than just equals; otherwise we won't C/R the hoary
      package which contains some of the same files.  (Ubuntu: #14909)

 -- Scott James Remnant <email address hidden>  Wed,  7 Sep 2005 19:20:34 +0100
Obsolete in hoary-release on 2008-03-19
djvulibre (3.5.14-2) unstable; urgency=low


  * versioned build dependency on debhelper (for debian pedants)
  * tighten version dependencies (closes: #278946)

 -- Barak A. Pearlmutter <email address hidden>  Mon,  1 Nov 2004 16:49:49 +0000
Obsolete in warty-release on 2008-01-09
djvulibre (3.5.13.pre14-4ubuntu1) warty; urgency=low


  * Build-depend: libtiff4-dev

 -- LaMont Jones <email address hidden>  Tue, 24 Aug 2004 07:25:40 -0600
153 of 53 results